Bug 140480 - Convert ManualTests/svg-tooltip.svg to a DRT test
Summary: Convert ManualTests/svg-tooltip.svg to a DRT test
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: SVG (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Daniel Bates
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-01-14 16:42 PST by Said Abou-Hallawa
Modified: 2015-03-03 14:44 PST (History)
4 users (show)

See Also:


Attachments
Layout Test (8.42 KB, patch)
2015-02-18 18:46 PST, Daniel Bates
no flags Details | Formatted Diff | Diff
Layout Test (8.48 KB, patch)
2015-02-18 18:53 PST, Daniel Bates
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Said Abou-Hallawa 2015-01-14 16:42:06 PST
The following tests can be automated using the API internals.toolTipFromElement()

ManualTests/svg-tooltip.svg
ManualTests/svg-links.svg (probably)
Comment 1 Daniel Bates 2015-02-18 18:44:44 PST
(In reply to comment #0)
> The following tests can be automated using the API
> internals.toolTipFromElement()
>
> ManualTests/svg-links.svg (probably)

Notice that ManualTests/svg-links.svg allows a person to test link dragging and we do not have machinery to test this at this time. The lack of such machinery meant that we failed to catch a regression in link dragging support :( (bug #141597). I filed bug #141787 to look into converting ManualTests/svg-links.svg to be a DRT test.
Comment 2 Daniel Bates 2015-02-18 18:46:48 PST
Created attachment 246870 [details]
Layout Test
Comment 3 Daniel Bates 2015-02-18 18:53:55 PST
Created attachment 246872 [details]
Layout Test

Add missing semicolon and update comment in runTest() to be more descriptive.
Comment 4 Said Abou-Hallawa 2015-02-19 10:06:03 PST
unofficial r=me.
Comment 5 Alex Christensen 2015-02-19 18:50:45 PST
Comment on attachment 246872 [details]
Layout Test

View in context: https://bugs.webkit.org/attachment.cgi?id=246872&action=review

> LayoutTests/svg/hittest/svg-tooltip-expected.txt:5
> +PASS tooltip for <use id="e4"> is ''.

Why is this blank?

> LayoutTests/svg/hittest/svg-tooltip-expected.txt:8
> +PASS tooltip for <use id="e7"> is ''.

ditto.
Comment 6 WebKit Commit Bot 2015-03-03 14:43:58 PST
Comment on attachment 246872 [details]
Layout Test

Clearing flags on attachment: 246872

Committed r180957: <http://trac.webkit.org/changeset/180957>
Comment 7 WebKit Commit Bot 2015-03-03 14:44:02 PST
All reviewed patches have been landed.  Closing bug.